> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reservations

> Retrieves an existing Reservation from the agilquest System using the **sysidReservation** value of the desired Reservation. Additional **sysidReservationStateType** values may be included as Query Parameters to retrieve the Reservation only if it is within one of the
given states. See the **Reservation States** section for more details.

This operation returns a Reservation value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /reservations/{sysidReservation}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /reservations/{sysidReservation}:
    get:
      tags:
        - ReservationService
      description: >-
        Retrieves an existing Reservation from the agilquest System using the
        **sysidReservation** value of the desired Reservation. Additional
        **sysidReservationStateType** values may be included as Query Parameters
        to retrieve the Reservation only if it is within one of the

        given states. See the **Reservation States** section for more details.


        This operation returns a Reservation value.
      operationId: getReservation
      parameters:
        - name: sysidReservation
          in: path
          required: true
          schema:
            type: integer
            format: int64
          description: long reservation number
        - name: rst
          in: query
          schema:
            type: array
            items:
              type: integer
              format: int32
          description: >-
            List of Integer values that correspond to State Type enumerations to
            use for search. Can be null.
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    discriminator: ...
                    chargeCodes:
                      - percent: 12345
                        sysidReservationChargeCode: 12345
                        chargeCode: ...
                      - percent: 12345
                        sysidReservationChargeCode: 12345
                        chargeCode: ...
                    qrCode:
                      sysidQRCode: 12345
                      sysidQRCodeType: 12345
                      codeValue: ...
                      sysidReference: 12345
                    sysidColorCode: 12345
                    accessTokenExpirationTime: 12345
                    sysidUserOwner: 12345
                    emailComments: ...
                    startTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    roomConfiguration:
                      thumbnailSource: ...
                      breakDownMinutes: 12345
                      description: ...
                      name: ...
                      imageSource: ...
                      sysidRoomConfiguration: 12345
                      setupMinutes: 12345
                    sysidResourcePricings: 12345
                    accessToken: ...
                    privateResv: true
                    userOwnerView:
                      privateProfile: true
                      lastName: ...
                      city: ...
                      postalCode: ...
                      middleInitial: ...
                      country: ...
                      roleName: ...
                      address1: ...
                      mobilePhone: ...
                      sysidUser: 12345
                      stateProvince: ...
                      department: ...
                      workPhone: ...
                      sysidStatus: 12345
                      images:
                        - sysidUserImage: 12345
                          defaultImage: true
                          thumbnailSource: ...
                          width: 12345
                          displayOrder: 12345
                          height: 12345
                          description: ...
                          imageSource: ...
                          name: ...
                          sysidApplicationUser: 12345
                        - sysidUserImage: 12345
                          defaultImage: true
                          thumbnailSource: ...
                          width: 12345
                          displayOrder: 12345
                          height: 12345
                          description: ...
                          imageSource: ...
                          name: ...
                          sysidApplicationUser: 12345
                      sysidHomeLocation: 12345
                      sysidLanguage: 12345
                      emailAddress: ...
                      firstName: ...
                      originalUser: true
                      locationName: ...
                      address2: ...
                      accountLocked: true
                      statusMessage: ...
                      title: ...
                    stateHistories:
                      - sysidApplication: 12345
                        userPerformerView:
                          privateProfile: true
                          lastName: ...
                          city: ...
                          postalCode: ...
                          middleInitial: ...
                          country: ...
                          roleName: ...
                          address1: ...
                          mobilePhone: ...
                          sysidUser: 12345
                          stateProvince: ...
                          department: ...
                          workPhone: ...
                          sysidStatus: 12345
                          images:
                            - {}
                            - {}
                          sysidHomeLocation: 12345
                          sysidLanguage: 12345
                          emailAddress: ...
                          firstName: ...
                          originalUser: true
                          locationName: ...
                          address2: ...
                          accountLocked: true
                          statusMessage: ...
                          title: ...
                        sysidUserPerformer: 12345
                        aqStateDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidReservationStateType: 12345
                        sysidReservationActionType: 12345
                      - sysidApplication: 12345
                        userPerformerView:
                          privateProfile: true
                          lastName: ...
                          city: ...
                          postalCode: ...
                          middleInitial: ...
                          country: ...
                          roleName: ...
                          address1: ...
                          mobilePhone: ...
                          sysidUser: 12345
                          stateProvince: ...
                          department: ...
                          workPhone: ...
                          sysidStatus: 12345
                          images:
                            - {}
                            - {}
                          sysidHomeLocation: 12345
                          sysidLanguage: 12345
                          emailAddress: ...
                          firstName: ...
                          originalUser: true
                          locationName: ...
                          address2: ...
                          accountLocked: true
                          statusMessage: ...
                          title: ...
                        sysidUserPerformer: 12345
                        aqStateDate:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidReservationStateType: 12345
                        sysidReservationActionType: 12345
                    name: ...
                    sysidPrevConfirmationNumber: 12345
                    sysidReservation: 12345
                    sysidParentReservation: 12345
                    suppressEmails: true
                    pricings:
                      aqActiveDate:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidResource: 12345
                      sysidResourcePricings: 12345
                      pricings:
                        - sysidCurrencyType: 12345
                          defaultPrice: true
                          sysidResourcePricing: 12345
                          sysidCostUnitType: 12345
                          cost: 12345
                        - sysidCurrencyType: 12345
                          defaultPrice: true
                          sysidResourcePricing: 12345
                          sysidCostUnitType: 12345
                          cost: 12345
                    chargeBackAmount: 12345
                    sysidCategory: 12345
                    endTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    resourceType: ROOM
                    locationNow:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidResource: 12345
                    sysidCreatorApplication: 12345
                    children:
                      - discriminator: ...
                        chargeCodes:
                          - percent: 12345
                            sysidReservationChargeCode: 12345
                            chargeCode: ...
                          - percent: 12345
                            sysidReservationChargeCode: 12345
                            chargeCode: ...
                        qrCode:
                          sysidQRCode: 12345
                          sysidQRCodeType: 12345
                          codeValue: ...
                          sysidReference: 12345
                        sysidColorCode: 12345
                        accessTokenExpirationTime: 12345
                        sysidUserOwner: 12345
                        emailComments: ...
                        startTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        roomConfiguration:
                          thumbnailSource: ...
                          breakDownMinutes: 12345
                          description: ...
                          name: ...
                          imageSource: ...
                          sysidRoomConfiguration: 12345
                          setupMinutes: 12345
                        sysidResourcePricings: 12345
                        accessToken: ...
                        privateResv: true
                        userOwnerView:
                          privateProfile: true
                          lastName: ...
                          city: ...
                          postalCode: ...
                          middleInitial: ...
                          country: ...
                          roleName: ...
                          address1: ...
                          mobilePhone: ...
                          sysidUser: 12345
                          stateProvince: ...
                          department: ...
                          workPhone: ...
                          sysidStatus: 12345
                          images:
                            - {}
                            - {}
                          sysidHomeLocation: 12345
                          sysidLanguage: 12345
                          emailAddress: ...
                          firstName: ...
                          originalUser: true
                          locationName: ...
                          address2: ...
                          accountLocked: true
                          statusMessage: ...
                          title: ...
                        stateHistories:
                          - sysidApplication: 12345
                            userPerformerView: {}
                            sysidUserPerformer: 12345
                            aqStateDate: {}
                            sysidReservationStateType: 12345
                            sysidReservationActionType: 12345
                          - sysidApplication: 12345
                            userPerformerView: {}
                            sysidUserPerformer: 12345
                            aqStateDate: {}
                            sysidReservationStateType: 12345
                            sysidReservationActionType: 12345
                        name: ...
                        sysidPrevConfirmationNumber: 12345
                        sysidReservation: 12345
                        sysidParentReservation: 12345
                        suppressEmails: true
                        pricings:
                          aqActiveDate: {}
                          sysidResource: 12345
                          sysidResourcePricings: 12345
                          pricings:
                            - {}
                            - {}
                        chargeBackAmount: 12345
                        sysidCategory: 12345
                        endTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        resourceType: POOLED
                        locationNow:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidResource: 12345
                        sysidCreatorApplication: 12345
                        children:
                          - {}
                          - {}
                        breakDownTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        setupTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidRoomConfiguration: 12345
                        sysidConfirmationNumber: 12345
                        uuid: ...
                        comments: ...
                        recurrenceRule:
                          aqEndDate: {}
                          sysidRecurrencePatternType: 12345
                          onSaturday: true
                          onMonday: true
                          onTuesday: true
                          sysidRecurrenceRule: 12345
                          onSunday: true
                          occurrences: 12345
                          sysidMonthlyDayOccurrenceType: 12345
                          theDate: 12345
                          onThursday: true
                          sysidMonthlyDayType: 12345
                          onFriday: true
                          aqStartDate: {}
                          onWednesday: true
                          exceptions:
                            - {}
                            - {}
                          interval: 12345
                        sysidResourceAccount: 12345
                      - discriminator: ...
                        chargeCodes:
                          - percent: 12345
                            sysidReservationChargeCode: 12345
                            chargeCode: ...
                          - percent: 12345
                            sysidReservationChargeCode: 12345
                            chargeCode: ...
                        qrCode:
                          sysidQRCode: 12345
                          sysidQRCodeType: 12345
                          codeValue: ...
                          sysidReference: 12345
                        sysidColorCode: 12345
                        accessTokenExpirationTime: 12345
                        sysidUserOwner: 12345
                        emailComments: ...
                        startTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        roomConfiguration:
                          thumbnailSource: ...
                          breakDownMinutes: 12345
                          description: ...
                          name: ...
                          imageSource: ...
                          sysidRoomConfiguration: 12345
                          setupMinutes: 12345
                        sysidResourcePricings: 12345
                        accessToken: ...
                        privateResv: true
                        userOwnerView:
                          privateProfile: true
                          lastName: ...
                          city: ...
                          postalCode: ...
                          middleInitial: ...
                          country: ...
                          roleName: ...
                          address1: ...
                          mobilePhone: ...
                          sysidUser: 12345
                          stateProvince: ...
                          department: ...
                          workPhone: ...
                          sysidStatus: 12345
                          images:
                            - {}
                            - {}
                          sysidHomeLocation: 12345
                          sysidLanguage: 12345
                          emailAddress: ...
                          firstName: ...
                          originalUser: true
                          locationName: ...
                          address2: ...
                          accountLocked: true
                          statusMessage: ...
                          title: ...
                        stateHistories:
                          - sysidApplication: 12345
                            userPerformerView: {}
                            sysidUserPerformer: 12345
                            aqStateDate: {}
                            sysidReservationStateType: 12345
                            sysidReservationActionType: 12345
                          - sysidApplication: 12345
                            userPerformerView: {}
                            sysidUserPerformer: 12345
                            aqStateDate: {}
                            sysidReservationStateType: 12345
                            sysidReservationActionType: 12345
                        name: ...
                        sysidPrevConfirmationNumber: 12345
                        sysidReservation: 12345
                        sysidParentReservation: 12345
                        suppressEmails: true
                        pricings:
                          aqActiveDate: {}
                          sysidResource: 12345
                          sysidResourcePricings: 12345
                          pricings:
                            - {}
                            - {}
                        chargeBackAmount: 12345
                        sysidCategory: 12345
                        endTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        resourceType: ROOM
                        locationNow:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidResource: 12345
                        sysidCreatorApplication: 12345
                        children:
                          - {}
                          - {}
                        breakDownTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        setupTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidRoomConfiguration: 12345
                        sysidConfirmationNumber: 12345
                        uuid: ...
                        comments: ...
                        recurrenceRule:
                          aqEndDate: {}
                          sysidRecurrencePatternType: 12345
                          onSaturday: true
                          onMonday: true
                          onTuesday: true
                          sysidRecurrenceRule: 12345
                          onSunday: true
                          occurrences: 12345
                          sysidMonthlyDayOccurrenceType: 12345
                          theDate: 12345
                          onThursday: true
                          sysidMonthlyDayType: 12345
                          onFriday: true
                          aqStartDate: {}
                          onWednesday: true
                          exceptions:
                            - {}
                            - {}
                          interval: 12345
                        sysidResourceAccount: 12345
                    breakDownTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    setupTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidRoomConfiguration: 12345
                    sysidConfirmationNumber: 12345
                    uuid: ...
                    comments: ...
                    recurrenceRule:
                      aqEndDate:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      sysidRecurrencePatternType: 12345
                      onSaturday: true
                      onMonday: true
                      onTuesday: true
                      sysidRecurrenceRule: 12345
                      onSunday: true
                      occurrences: 12345
                      sysidMonthlyDayOccurrenceType: 12345
                      theDate: 12345
                      onThursday: true
                      sysidMonthlyDayType: 12345
                      onFriday: true
                      aqStartDate:
                        discriminator: AqDate
                        hour: 12345
                        tzIdValue: ...
                        year: 12345
                        month: 12345
                        dayOfMonth: 12345
                        minute: 12345
                        noEndDate: true
                      onWednesday: true
                      exceptions:
                        - sysidReservation: 12345
                          exceptionType: EXCEPTION
                          relatedSysid: 12345
                          sysidRecurrenceRuleException: 12345
                          reservationDate: 12345
                        - sysidReservation: 12345
                          exceptionType: EXCEPTION
                          relatedSysid: 12345
                          sysidRecurrenceRuleException: 12345
                          reservationDate: 12345
                      interval: 12345
                    sysidResourceAccount: 12345
              schema:
                $ref: '#/components/schemas/Reservation'
          description: |-
            Reservation

            com.agilquest.phoenix.shared.data.reservation.Reservation
components:
  schemas:
    Reservation:
      discriminator: discriminator
      type: object
      title: Reservation
      required:
        - sysidUserOwner
        - privateResv
        - suppressEmails
        - sysidCategory
        - sysidResource
        - sysidCreatorApplication
        - sysidConfirmationNumber
        - sysidResourceAccount
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            chargeCodes:
              type: array
              items:
                $ref: '#/components/schemas/ReservationChargeCode'
            qrCode:
              $ref: '#/components/schemas/QRCodeReservation'
            sysidColorCode:
              type: integer
              format: int32
            accessTokenExpirationTime:
              type: integer
              format: int32
            sysidUserOwner:
              type: integer
              format: int32
            emailComments:
              type: string
            startTime:
              $ref: '#/components/schemas/AqDate'
            roomConfiguration:
              $ref: '#/components/schemas/RoomConfigurationData'
            sysidResourcePricings:
              type: integer
              format: int32
            accessToken:
              type: string
            privateResv:
              type: boolean
            userOwnerView:
              $ref: '#/components/schemas/UserView'
            stateHistories:
              type: array
              items:
                $ref: '#/components/schemas/ReservationStateHistory'
            name:
              type: string
            sysidPrevConfirmationNumber:
              type: integer
              format: int64
            sysidReservation:
              type: integer
              format: int64
            sysidParentReservation:
              type: integer
              format: int64
            suppressEmails:
              type: boolean
            pricings:
              $ref: '#/components/schemas/ResourcePricings'
            chargeBackAmount:
              type: number
            sysidCategory:
              type: integer
              format: int32
            endTime:
              $ref: '#/components/schemas/AqDate'
            resourceType:
              $ref: '#/components/schemas/ReservationResourceType'
            locationNow:
              $ref: '#/components/schemas/AqDate'
            sysidResource:
              type: integer
              format: int32
            sysidCreatorApplication:
              type: integer
              format: int32
            children:
              type: array
              items:
                $ref: '#/components/schemas/Reservation'
            breakDownTime:
              $ref: '#/components/schemas/AqDate'
            setupTime:
              $ref: '#/components/schemas/AqDate'
            sysidRoomConfiguration:
              type: integer
              format: int32
            sysidConfirmationNumber:
              type: integer
              format: int64
            uuid:
              type: string
            comments:
              type: string
            recurrenceRule:
              $ref: '#/components/schemas/RecurrenceRule'
            sysidResourceAccount:
              type: integer
              format: int32
      example:
        discriminator: ...
        chargeCodes:
          - percent: 12345
            sysidReservationChargeCode: 12345
            chargeCode: ...
          - percent: 12345
            sysidReservationChargeCode: 12345
            chargeCode: ...
        qrCode:
          sysidQRCode: 12345
          sysidQRCodeType: 12345
          codeValue: ...
          sysidReference: 12345
        sysidColorCode: 12345
        accessTokenExpirationTime: 12345
        sysidUserOwner: 12345
        emailComments: ...
        startTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        roomConfiguration:
          thumbnailSource: ...
          breakDownMinutes: 12345
          description: ...
          name: ...
          imageSource: ...
          sysidRoomConfiguration: 12345
          setupMinutes: 12345
        sysidResourcePricings: 12345
        accessToken: ...
        privateResv: true
        userOwnerView:
          privateProfile: true
          lastName: ...
          city: ...
          postalCode: ...
          middleInitial: ...
          country: ...
          roleName: ...
          address1: ...
          mobilePhone: ...
          sysidUser: 12345
          stateProvince: ...
          department: ...
          workPhone: ...
          sysidStatus: 12345
          images:
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
          sysidHomeLocation: 12345
          sysidLanguage: 12345
          emailAddress: ...
          firstName: ...
          originalUser: true
          locationName: ...
          address2: ...
          accountLocked: true
          statusMessage: ...
          title: ...
        stateHistories:
          - sysidApplication: 12345
            userPerformerView:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
            sysidUserPerformer: 12345
            aqStateDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidReservationStateType: 12345
            sysidReservationActionType: 12345
          - sysidApplication: 12345
            userPerformerView:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
            sysidUserPerformer: 12345
            aqStateDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidReservationStateType: 12345
            sysidReservationActionType: 12345
        name: ...
        sysidPrevConfirmationNumber: 12345
        sysidReservation: 12345
        sysidParentReservation: 12345
        suppressEmails: true
        pricings:
          aqActiveDate:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
          sysidResource: 12345
          sysidResourcePricings: 12345
          pricings:
            - sysidCurrencyType: 12345
              defaultPrice: true
              sysidResourcePricing: 12345
              sysidCostUnitType: 12345
              cost: 12345
            - sysidCurrencyType: 12345
              defaultPrice: true
              sysidResourcePricing: 12345
              sysidCostUnitType: 12345
              cost: 12345
        chargeBackAmount: 12345
        sysidCategory: 12345
        endTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        resourceType: EXHAUSTIBLE
        locationNow:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidResource: 12345
        sysidCreatorApplication: 12345
        children:
          - discriminator: ...
            chargeCodes:
              - percent: 12345
                sysidReservationChargeCode: 12345
                chargeCode: ...
              - percent: 12345
                sysidReservationChargeCode: 12345
                chargeCode: ...
            qrCode:
              sysidQRCode: 12345
              sysidQRCodeType: 12345
              codeValue: ...
              sysidReference: 12345
            sysidColorCode: 12345
            accessTokenExpirationTime: 12345
            sysidUserOwner: 12345
            emailComments: ...
            startTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            roomConfiguration:
              thumbnailSource: ...
              breakDownMinutes: 12345
              description: ...
              name: ...
              imageSource: ...
              sysidRoomConfiguration: 12345
              setupMinutes: 12345
            sysidResourcePricings: 12345
            accessToken: ...
            privateResv: true
            userOwnerView:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
            stateHistories:
              - sysidApplication: 12345
                userPerformerView: {}
                sysidUserPerformer: 12345
                aqStateDate: {}
                sysidReservationStateType: 12345
                sysidReservationActionType: 12345
              - sysidApplication: 12345
                userPerformerView: {}
                sysidUserPerformer: 12345
                aqStateDate: {}
                sysidReservationStateType: 12345
                sysidReservationActionType: 12345
            name: ...
            sysidPrevConfirmationNumber: 12345
            sysidReservation: 12345
            sysidParentReservation: 12345
            suppressEmails: true
            pricings:
              aqActiveDate: {}
              sysidResource: 12345
              sysidResourcePricings: 12345
              pricings:
                - {}
                - {}
            chargeBackAmount: 12345
            sysidCategory: 12345
            endTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            resourceType: EXHAUSTIBLE
            locationNow:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidResource: 12345
            sysidCreatorApplication: 12345
            children:
              - {}
              - {}
            breakDownTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            setupTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidRoomConfiguration: 12345
            sysidConfirmationNumber: 12345
            uuid: ...
            comments: ...
            recurrenceRule:
              aqEndDate: {}
              sysidRecurrencePatternType: 12345
              onSaturday: true
              onMonday: true
              onTuesday: true
              sysidRecurrenceRule: 12345
              onSunday: true
              occurrences: 12345
              sysidMonthlyDayOccurrenceType: 12345
              theDate: 12345
              onThursday: true
              sysidMonthlyDayType: 12345
              onFriday: true
              aqStartDate: {}
              onWednesday: true
              exceptions:
                - {}
                - {}
              interval: 12345
            sysidResourceAccount: 12345
          - discriminator: ...
            chargeCodes:
              - percent: 12345
                sysidReservationChargeCode: 12345
                chargeCode: ...
              - percent: 12345
                sysidReservationChargeCode: 12345
                chargeCode: ...
            qrCode:
              sysidQRCode: 12345
              sysidQRCodeType: 12345
              codeValue: ...
              sysidReference: 12345
            sysidColorCode: 12345
            accessTokenExpirationTime: 12345
            sysidUserOwner: 12345
            emailComments: ...
            startTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            roomConfiguration:
              thumbnailSource: ...
              breakDownMinutes: 12345
              description: ...
              name: ...
              imageSource: ...
              sysidRoomConfiguration: 12345
              setupMinutes: 12345
            sysidResourcePricings: 12345
            accessToken: ...
            privateResv: true
            userOwnerView:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
            stateHistories:
              - sysidApplication: 12345
                userPerformerView: {}
                sysidUserPerformer: 12345
                aqStateDate: {}
                sysidReservationStateType: 12345
                sysidReservationActionType: 12345
              - sysidApplication: 12345
                userPerformerView: {}
                sysidUserPerformer: 12345
                aqStateDate: {}
                sysidReservationStateType: 12345
                sysidReservationActionType: 12345
            name: ...
            sysidPrevConfirmationNumber: 12345
            sysidReservation: 12345
            sysidParentReservation: 12345
            suppressEmails: true
            pricings:
              aqActiveDate: {}
              sysidResource: 12345
              sysidResourcePricings: 12345
              pricings:
                - {}
                - {}
            chargeBackAmount: 12345
            sysidCategory: 12345
            endTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            resourceType: ROOM
            locationNow:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidResource: 12345
            sysidCreatorApplication: 12345
            children:
              - {}
              - {}
            breakDownTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            setupTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidRoomConfiguration: 12345
            sysidConfirmationNumber: 12345
            uuid: ...
            comments: ...
            recurrenceRule:
              aqEndDate: {}
              sysidRecurrencePatternType: 12345
              onSaturday: true
              onMonday: true
              onTuesday: true
              sysidRecurrenceRule: 12345
              onSunday: true
              occurrences: 12345
              sysidMonthlyDayOccurrenceType: 12345
              theDate: 12345
              onThursday: true
              sysidMonthlyDayType: 12345
              onFriday: true
              aqStartDate: {}
              onWednesday: true
              exceptions:
                - {}
                - {}
              interval: 12345
            sysidResourceAccount: 12345
        breakDownTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        setupTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidRoomConfiguration: 12345
        sysidConfirmationNumber: 12345
        uuid: ...
        comments: ...
        recurrenceRule:
          aqEndDate:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
          sysidRecurrencePatternType: 12345
          onSaturday: true
          onMonday: true
          onTuesday: true
          sysidRecurrenceRule: 12345
          onSunday: true
          occurrences: 12345
          sysidMonthlyDayOccurrenceType: 12345
          theDate: 12345
          onThursday: true
          sysidMonthlyDayType: 12345
          onFriday: true
          aqStartDate:
            discriminator: AqDate
            hour: 12345
            tzIdValue: ...
            year: 12345
            month: 12345
            dayOfMonth: 12345
            minute: 12345
            noEndDate: true
          onWednesday: true
          exceptions:
            - sysidReservation: 12345
              exceptionType: CALENDAR
              relatedSysid: 12345
              sysidRecurrenceRuleException: 12345
              reservationDate: 12345
            - sysidReservation: 12345
              exceptionType: RESERVATION
              relatedSysid: 12345
              sysidRecurrenceRuleException: 12345
              reservationDate: 12345
          interval: 12345
        sysidResourceAccount: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ReservationChargeCode:
      type: object
      title: ReservationChargeCode
      required:
        - percent
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            percent:
              type: integer
              format: int32
            sysidReservationChargeCode:
              type: integer
              format: int32
            chargeCode:
              type: string
      example:
        percent: 12345
        sysidReservationChargeCode: 12345
        chargeCode: ...
    QRCodeReservation:
      type: object
      title: QRCodeReservation
      allOf:
        - $ref: '#/components/schemas/QRCodeData'
        - {}
      example:
        sysidQRCode: 12345
        sysidQRCodeType: 12345
        codeValue: ...
        sysidReference: 12345
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    RoomConfigurationData:
      type: object
      title: RoomConfigurationData
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            thumbnailSource:
              type: string
            breakDownMinutes:
              type: integer
              format: int32
            description:
              type: string
            name:
              type: string
            imageSource:
              type: string
            sysidRoomConfiguration:
              type: integer
              format: int32
            setupMinutes:
              type: integer
              format: int32
      example:
        thumbnailSource: ...
        breakDownMinutes: 12345
        description: ...
        name: ...
        imageSource: ...
        sysidRoomConfiguration: 12345
        setupMinutes: 12345
    UserView:
      type: object
      title: UserView
      required:
        - privateProfile
        - sysidUser
        - sysidLanguage
        - originalUser
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            privateProfile:
              type: boolean
            lastName:
              type: string
            city:
              type: string
            postalCode:
              type: string
            middleInitial:
              type: string
            country:
              type: string
            roleName:
              type: string
            address1:
              type: string
            mobilePhone:
              type: string
            sysidUser:
              type: integer
              format: int32
            stateProvince:
              type: string
            department:
              type: string
            workPhone:
              type: string
            sysidStatus:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/UserImageData'
            sysidHomeLocation:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            emailAddress:
              type: string
            firstName:
              type: string
            originalUser:
              type: boolean
            locationName:
              type: string
            address2:
              type: string
            accountLocked:
              type: boolean
            statusMessage:
              type: string
            title:
              type: string
      example:
        privateProfile: true
        lastName: ...
        city: ...
        postalCode: ...
        middleInitial: ...
        country: ...
        roleName: ...
        address1: ...
        mobilePhone: ...
        sysidUser: 12345
        stateProvince: ...
        department: ...
        workPhone: ...
        sysidStatus: 12345
        images:
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
        sysidHomeLocation: 12345
        sysidLanguage: 12345
        emailAddress: ...
        firstName: ...
        originalUser: true
        locationName: ...
        address2: ...
        accountLocked: true
        statusMessage: ...
        title: ...
    ReservationStateHistory:
      type: object
      title: ReservationStateHistory
      required:
        - sysidApplication
        - sysidUserPerformer
        - sysidReservationStateType
        - sysidReservationActionType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidApplication:
              type: integer
              format: int32
            userPerformerView:
              $ref: '#/components/schemas/UserView'
            sysidUserPerformer:
              type: integer
              format: int32
            aqStateDate:
              $ref: '#/components/schemas/AqDate'
            sysidReservationStateType:
              type: integer
              format: int32
            sysidReservationActionType:
              type: integer
              format: int32
      example:
        sysidApplication: 12345
        userPerformerView:
          privateProfile: true
          lastName: ...
          city: ...
          postalCode: ...
          middleInitial: ...
          country: ...
          roleName: ...
          address1: ...
          mobilePhone: ...
          sysidUser: 12345
          stateProvince: ...
          department: ...
          workPhone: ...
          sysidStatus: 12345
          images:
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
          sysidHomeLocation: 12345
          sysidLanguage: 12345
          emailAddress: ...
          firstName: ...
          originalUser: true
          locationName: ...
          address2: ...
          accountLocked: true
          statusMessage: ...
          title: ...
        sysidUserPerformer: 12345
        aqStateDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidReservationStateType: 12345
        sysidReservationActionType: 12345
    ResourcePricings:
      type: object
      title: ResourcePricings
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqActiveDate:
              $ref: '#/components/schemas/AqDate'
            sysidResource:
              type: integer
              format: int32
            sysidResourcePricings:
              type: integer
              format: int32
            pricings:
              type: array
              items:
                $ref: '#/components/schemas/ResourcePricing'
      example:
        aqActiveDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidResource: 12345
        sysidResourcePricings: 12345
        pricings:
          - sysidCurrencyType: 12345
            defaultPrice: true
            sysidResourcePricing: 12345
            sysidCostUnitType: 12345
            cost: 12345
          - sysidCurrencyType: 12345
            defaultPrice: true
            sysidResourcePricing: 12345
            sysidCostUnitType: 12345
            cost: 12345
    ReservationResourceType:
      type: string
      title: ReservationResourceType
      enum:
        - ROOM
        - EXHAUSTIBLE
        - POOLED
        - SERVICE
    RecurrenceRule:
      type: object
      title: RecurrenceRule
      required:
        - sysidRecurrencePatternType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqEndDate:
              $ref: '#/components/schemas/AqDate'
            sysidRecurrencePatternType:
              type: integer
              format: int32
            onSaturday:
              type: boolean
            onMonday:
              type: boolean
            onTuesday:
              type: boolean
            sysidRecurrenceRule:
              type: integer
              format: int32
            onSunday:
              type: boolean
            occurrences:
              type: integer
              format: int32
            sysidMonthlyDayOccurrenceType:
              type: integer
              format: int32
            theDate:
              type: integer
              format: int32
            onThursday:
              type: boolean
            sysidMonthlyDayType:
              type: integer
              format: int32
            onFriday:
              type: boolean
            aqStartDate:
              $ref: '#/components/schemas/AqDate'
            onWednesday:
              type: boolean
            exceptions:
              type: array
              items:
                $ref: '#/components/schemas/RecurrenceException'
            interval:
              type: integer
              format: int32
      example:
        aqEndDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidRecurrencePatternType: 12345
        onSaturday: true
        onMonday: true
        onTuesday: true
        sysidRecurrenceRule: 12345
        onSunday: true
        occurrences: 12345
        sysidMonthlyDayOccurrenceType: 12345
        theDate: 12345
        onThursday: true
        sysidMonthlyDayType: 12345
        onFriday: true
        aqStartDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        onWednesday: true
        exceptions:
          - sysidReservation: 12345
            exceptionType: RESERVATION
            relatedSysid: 12345
            sysidRecurrenceRuleException: 12345
            reservationDate: 12345
          - sysidReservation: 12345
            exceptionType: EXCEPTION
            relatedSysid: 12345
            sysidRecurrenceRuleException: 12345
            reservationDate: 12345
        interval: 12345
    QRCodeData:
      type: object
      title: QRCodeData
      required:
        - sysidQRCodeType
        - sysidReference
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidQRCode:
              type: integer
              format: int32
            sysidQRCodeType:
              type: integer
              format: int32
            codeValue:
              type: string
            sysidReference:
              type: integer
              format: int64
      example:
        sysidQRCode: 12345
        sysidQRCodeType: 12345
        codeValue: ...
        sysidReference: 12345
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    UserImageData:
      type: object
      title: UserImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserImage:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            thumbnailSource:
              type: string
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            description:
              type: string
            imageSource:
              type: string
            name:
              type: string
            sysidApplicationUser:
              type: integer
              format: int32
      example:
        sysidUserImage: 12345
        defaultImage: true
        thumbnailSource: ...
        width: 12345
        displayOrder: 12345
        height: 12345
        description: ...
        imageSource: ...
        name: ...
        sysidApplicationUser: 12345
    ResourcePricing:
      type: object
      title: ResourcePricing
      required:
        - sysidCurrencyType
        - defaultPrice
        - sysidCostUnitType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidCurrencyType:
              type: integer
              format: int32
            defaultPrice:
              type: boolean
            sysidResourcePricing:
              type: integer
              format: int32
            sysidCostUnitType:
              type: integer
              format: int32
            cost:
              type: number
      example:
        sysidCurrencyType: 12345
        defaultPrice: true
        sysidResourcePricing: 12345
        sysidCostUnitType: 12345
        cost: 12345
    RecurrenceException:
      type: object
      title: RecurrenceException
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidReservation:
              type: integer
              format: int64
            exceptionType:
              $ref: '#/components/schemas/RecurrenceExceptionType'
            relatedSysid:
              type: integer
              format: int64
            sysidRecurrenceRuleException:
              type: integer
              format: int32
            reservationDate:
              type: integer
              format: int32
      example:
        sysidReservation: 12345
        exceptionType: CALENDAR
        relatedSysid: 12345
        sysidRecurrenceRuleException: 12345
        reservationDate: 12345
    RecurrenceExceptionType:
      type: string
      title: RecurrenceExceptionType
      enum:
        - RESERVATION
        - CALENDAR
        - EXCEPTION

````